"""asset_audit_log

Revision ID: 126d65cbe6b4
Revises: 202505c5cb06
Create Date: 2024-05-27 15:48:07.399594

"""
from alembic import op
import sqlalchemy as sa

# revision identifiers, used by Alembic.
revision = "126d65cbe6b4"
down_revision = "202505c5cb06"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "asset_audit_log",
        sa.Column("id", sa.Integer(), nullable=False),
        sa.Column("event_datetime", sa.DateTime(), nullable=True),
        sa.Column("event", sa.String(length=255), nullable=True),
        sa.Column("active_user_name", sa.String(length=255), nullable=True),
        sa.Column("active_user_id", sa.Integer(), nullable=True),
        sa.Column("affected_asset_id", sa.Integer(), nullable=True),
        sa.ForeignKeyConstraint(
            ["active_user_id"],
            ["fm_user.id"],
            name=op.f("asset_audit_log_active_user_id_fm_user_fkey"),
            ondelete="SET NULL",
        ),
        sa.ForeignKeyConstraint(
            ["affected_asset_id"],
            ["generic_asset.id"],
            name=op.f("asset_audit_log_affected_asset_id_generic_asset_fkey"),
            ondelete="SET NULL",
        ),
        sa.PrimaryKeyConstraint("id", name=op.f("asset_audit_log_pkey")),
    )

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###

    op.drop_table("asset_audit_log")
    # ### end Alembic commands ###
